    if cmd:KeyDown(IN_ATTACK)then
        if true then
            dist = EyePos():Distance(target_pos)
            local newpos = EyePos() + ((target_pos - EyePos()):Angle() + spreadAngles):Forward():GetNormalized()*dist
            local a = newpos:ToScreen() 
            if a.visible then
                panel:SetWorldClicker( true  )
                should_be = true
                gui.EnableScreenClicker(true)
                panel:RequestFocus()
                input.SetCursorPos(a.x, a.y)
                panel:SetCursor( "blank" )
            end
          end
      end